<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <default upstream="kirkstone"/>

  <!-- Yocto -->
  <remote name="yocto"
          fetch="git://git.yoctoproject.org"/>
  <project name="poky"
           remote="yocto"
           revision="refs/tags/yocto-4.0.9"
           upstream="kirkstone"
           path="sources/poky"/>
  <project name="meta-mingw"
           remote="yocto"
           revision="refs/tags/yocto-4.0.9"
           upstream="kirkstone"
           path="sources/meta-mingw"/>

  <!-- OpenEmbedded -->
  <remote name="oe"
          fetch="git://git.openembedded.org"/>
  <project name="meta-openembedded"
           remote="oe"
           revision="571e36e20e9d1f27af0eb4545291beeb64f280e2"
           upstream="kirkstone"
           path="sources/meta-openembedded"/>

  <!-- Boot to Qt -->
  <remote name="qt"
          fetch="git://code.qt.io/yocto"
          pushurl="ssh://codereview.qt-project.org/yocto"/>
  <remote name="gerrit"
          fetch="ssh://codereview.qt-project.org/yocto"/>
  <project name="meta-boot2qt"
           remote="qt"
           revision="5ec2f3eb1bf667a71629fbf6a5fff4ea926bb315"
           upstream="kirkstone"
           path="sources/meta-boot2qt">
    <linkfile dest="setup-environment.sh" src="scripts/setup-environment.sh"/>
  </project>

  <!-- Boot to Qt vendor layer -->
  <project name="meta-boot2qt-st"
           remote="qt"
           revision="f6d1ff98bc961381d75cbb4e8d9b26f17298d2ca"
           upstream="dev"
           path="sources/meta-boot2qt-st">
    <linkfile dest="sources/templates" src="conf/templates/default"/>
  </project>

  <!-- Qt -->
  <project name="meta-qt6"
           remote="qt"
           revision="refs/tags/v6.5.2"
           upstream="6.5.2"
           path="sources/meta-qt6"/>

  <!-- Device specific layers -->
  <remote name="stm"
          fetch="https://github.com/STMicroelectronics/"/>
  <project name="meta-st-stm32mp"
           remote="stm"
           revision="ca501bd7dbe023682903ceedddaacd940b0898f4"
           upstream="kirkstone"
           path="sources/meta-st-stm32mp"/>
</manifest>
